## python-os-win 4.2.0

=== debian/changelog ===
python-os-win (4.2.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 12 Mar 2019 10:33:22 +0000

python-os-win (4.2.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Mar 2019 09:40:37 +0000

=== debian/control ===
Source: python-os-win
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.5.1),
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-ddt (>= 1.0.1),
 python-eventlet (>= 0.18.2),
 python-hacking (>= 0.10.0),
 python-mock (>= 2.0.0),
 python-openstackdocstheme (>= 1.18.1),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslosphinx (>= 4.7.0),
 python-oslotest (>= 3.2.0),
 python-pep8,
 python3-babel (>= 2.3.4),
 python3-ddt (>= 1.0.1),
 python3-eventlet (>= 0.18.2),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 3.2.0),
 python3-pep8,
 python3-subunit (>= 1.0.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-win
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-win
Homepage: https://github.com/openstack/os-win
XS-Testsuite: autopkgtest

Package: python-os-win
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-eventlet (>= 0.18.2),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-os-win-doc,
Description: Windows / Hyper-V library for OpenStack projects - Python 2.7
 Os-win is a library that contains Windows / Hyper-V code commonly used in the
 OpenStack projects: nova, cinder, networking-hyperv. The library can be used
 in any other OpenStack projects where it is needed.
 .
 This package contains the Python 2.7 module.

Package: python-os-win-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Windows / Hyper-V library for OpenStack projects - doc
 Os-win is a library that contains Windows / Hyper-V code commonly used in the
 OpenStack projects: nova, cinder, networking-hyperv. The library can be used
 in any other OpenStack projects where it is needed.
 .
 This package contains the documentation.

Package: python3-os-win
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-eventlet (>= 0.18.2),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-win-doc,
Description: Windows / Hyper-V library for OpenStack projects - Python 3.x
 Os-win is a library that contains Windows / Hyper-V code commonly used in the
 OpenStack projects: nova, cinder, networking-hyperv. The library can be used
 in any other OpenStack projects where it is needed.
 .
 This package contains the Python 3.x module.

## python-os-win 4.3.2

=== debian/changelog ===
python-os-win (4.3.2-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 26 Sep 2019 00:38:22 +0000

python-os-win (4.3.2-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:19:12 -0400

python-os-win (4.3.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Run unit tests with pkgos-dh_auto_test.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:37:47 -0400

python-os-win (4.2.0-0ubuntu2) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * d/control: Drop BDI's on python-* packages.
  * d/control: Drop python-os-win binary package.
  * d/rules: Tweak to stop build and install of Python 2 parts.

  [ Corey Bryant ]
  * d/control, d/tests/*: Use autopkgtest-pkg-python to test python
    module import.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jul 2019 13:58:27 -0400

=== debian/control ===
Source: python-os-win
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-docutils (>= 0.11),
 python3-eventlet (>= 0.18.2),
 python3-hacking (>= 1.1.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pep8,
 python3-reno (>= 2.5.0),
 python3-stestr (>= 2.0.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository,
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-win
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-win
Homepage: https://github.com/openstack/os-win
Testsuite: autopkgtest-pkg-python

Package: python-os-win-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Windows / Hyper-V library for OpenStack projects - doc
 Os-win is a library that contains Windows / Hyper-V code commonly used in the
 OpenStack projects: nova, cinder, networking-hyperv. The library can be used
 in any other OpenStack projects where it is needed.
 .
 This package contains the documentation.

Package: python3-os-win
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-eventlet (>= 0.18.2),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-win-doc,
Description: Windows / Hyper-V library for OpenStack projects - Python 3.x
 Os-win is a library that contains Windows / Hyper-V code commonly used in the
 OpenStack projects: nova, cinder, networking-hyperv. The library can be used
 in any other OpenStack projects where it is needed.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/openstack/os-win.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-os-win; \
	done
	rm -rf $(CURDIR)/debian/python*-os-win/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-os-win-doc/usr/share/doc/python-os-win-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-os-win 5.0.0

=== debian/changelog ===
python-os-win (5.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Drop remaining py2 Build-Depends.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Mar 2020 10:10:00 -0400

## python-os-win 5.0.1

=== debian/changelog ===
python-os-win (5.0.1-0ubuntu1~cloud0) bionic-ussuri; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 14 Apr 2020 03:39:34 +0000

python-os-win (5.0.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:27:28 -0400

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,6 @@
  debhelper (>= 9),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,

## python-os-win 5.1.0

=== debian/changelog ===
python-os-win (5.1.0-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 29 Jul 2020 19:09:40 +0000

python-os-win (5.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 29 Jul 2020 07:03:01 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-babel (>= 2.3.4),
  python3-coverage (>= 4.0),
@@ -21,7 +21,7 @@
  python3-eventlet (>= 0.18.2),
  python3-hacking (>= 1.1.0),
  python3-mock (>= 2.0.0),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
@@ -30,15 +30,15 @@
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
  python3-pep8,
- python3-reno (>= 2.5.0),
+ python3-reno (>= 2.11.2),
  python3-stestr (>= 2.0.0),
  python3-subunit (>= 1.0.0),
  python3-testrepository,
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
-Standards-Version: 4.1.2
+Standards-Version: 4.5.0
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-win
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-win
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-win
 Homepage: https://github.com/openstack/os-win
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=python-os-win
 
 PYTHON3S:=$(shell py3versions -vr)
 
@@ -7,7 +9,7 @@
 export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_install:
 	set -e ; for pyvers in $(PYTHON3S); do \
@@ -25,11 +27,11 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	sphinx-build -b html doc/source debian/python-os-win-doc/usr/share/doc/python-os-win-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc
 endif
 
 override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
+	dh_clean
 	rm -rf build

## python-os-win 5.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD

eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0

# Windows-only requirements
PyMI>=1.0.0;sys_platform=='win32' # Apache 2.0 License
wmi>=0.5;sys_platform=='win32' # MIT

=== debian/changelog ===
python-os-win (5.2.0-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jan 2021 10:26:34 +0100

python-os-win (5.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.
  * Fixed debian/watch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 15:31:01 +0200

python-os-win (5.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2020 09:40:20 +0200

python-os-win (5.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jun 2020 10:29:56 +0200

python-os-win (5.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 18:28:32 +0200

python-os-win (5.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 22:51:42 +0200

python-os-win (4.3.2-3) unstable; urgency=medium

  * Blacklist ClusApiUtilsTestCase.test_get_cluster_group_type() as it fails
    on i386 (Closes: #928129) see LP bug: reported upstream at:
    https://bugs.launchpad.net/os-win/+bug/1850770

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Oct 2019 11:24:03 +0100

python-os-win (4.3.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 10:04:23 +0200

python-os-win (4.3.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add remove-privacy-breach-in-docs.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Sep 2019 21:34:34 +0200

python-os-win (4.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:07:04 +0200

python-os-win (4.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 20:42:44 +0100

=== debian/control ===
Source: python-os-win
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-coverage,
 python3-ddt,
 python3-eventlet,
 python3-hacking,
 python3-mock,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslotest,
 python3-pep8,
 python3-stestr,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-win
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-win.git
Homepage: https://github.com/openstack/os-win

Package: python-os-win-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Windows / Hyper-V library for OpenStack projects - doc
 Os-win is a library that contains Windows / Hyper-V code commonly used in the
 OpenStack projects: nova, cinder, networking-hyperv. The library can be used
 in any other OpenStack projects where it is needed.
 .
 This package contains the documentation.

Package: python3-os-win
Architecture: all
Depends:
 python3-babel,
 python3-eventlet,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-win-doc,
Description: Windows / Hyper-V library for OpenStack projects - Python 3.x
 Os-win is a library that contains Windows / Hyper-V code commonly used in the
 OpenStack projects: nova, cinder, networking-hyperv. The library can be used
 in any other OpenStack projects where it is needed.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-win.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	python3 setup.py clean
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Black list because of https://bugs.launchpad.net/os-win/+bug/1850770
	pkgos-dh_auto_test --no-py2 'os_win\.tests\.unit\.(?!(.*utils\.compute\.test_clusapi_utils\.ClusApiUtilsTestCase\.test_get_cluster_group_type.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-os-win-doc/usr/share/doc/python-os-win-doc/html
	dh_sphinxdoc
endif

## python-os-win 5.4.0

=== debian/changelog ===
python-os-win (5.4.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 21 Jan 2021 16:21:55 +0000

python-os-win (5.4.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 21 Jan 2021 15:05:01 +0000

python-os-win (5.3.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 13:46:03 +0000

## python-os-win 5.5.0

=== requirements.txt ===
--- 
+++ 
@@ -3,13 +3,12 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-Babel!=2.4.0,>=2.3.4 # BSD
 
-eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
-oslo.concurrency>=3.26.0 # Apache-2.0
-oslo.config>=5.2.0 # Apache-2.0
+eventlet>=0.22.0 # MIT
+oslo.concurrency>=3.29.0 # Apache-2.0
+oslo.config>=6.8.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
-oslo.utils>=3.33.0 # Apache-2.0
+oslo.utils>=4.7.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 
 # Windows-only requirements

=== debian/changelog ===
python-os-win (5.5.0-0ubuntu2) jammy; urgency=medium

  * d/p/lp1966442.patch: drop collections.Iterable in favor
    collections.abc.Iterable (LP: #1966442).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Fri, 25 Mar 2022 15:17:49 -0300

python-os-win (5.5.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 14:38:55 -0400

=== debian/control ===
Source: python-os-win
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-docutils (>= 0.11),
 python3-eventlet (>= 0.22.0),
 python3-hacking (>= 1.1.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.concurrency (>= 3.29.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pep8,
 python3-reno (>= 2.11.2),
 python3-stestr (>= 2.0.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository,
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-win
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-win
Homepage: https://github.com/openstack/os-win
Testsuite: autopkgtest-pkg-python

Package: python-os-win-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Windows / Hyper-V library for OpenStack projects - doc
 Os-win is a library that contains Windows / Hyper-V code commonly used in the
 OpenStack projects: nova, cinder, networking-hyperv. The library can be used
 in any other OpenStack projects where it is needed.
 .
 This package contains the documentation.

Package: python3-os-win
Architecture: all
Depends:
 python3-eventlet (>= 0.22.0),
 python3-oslo.concurrency (>= 3.29.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 4.7.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-win-doc,
Description: Windows / Hyper-V library for OpenStack projects - Python 3.x
 Os-win is a library that contains Windows / Hyper-V code commonly used in the
 OpenStack projects: nova, cinder, networking-hyperv. The library can be used
 in any other OpenStack projects where it is needed.
 .
 This package contains the Python 3.x module.

## python-os-win 5.6.0

=== debian/changelog ===
python-os-win (5.6.0-2~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 24 Mar 2022 13:20:07 +0000

python-os-win (5.6.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 14:15:05 +0100

python-os-win (5.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 19 Feb 2022 10:53:33 +0100

python-os-win (5.5.0-3) unstable; urgency=medium

  * Add fix-import-from-collections.patch (Closes: #1002368).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Dec 2021 22:52:02 +0100

python-os-win (5.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 11:25:21 +0200

python-os-win (5.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 10:37:04 +0200

python-os-win (5.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:35:34 +0200

python-os-win (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 11:50:22 +0100

## python-os-win 5.7.1

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix. 
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== debian/changelog ===
python-os-win (5.7.1-3) unstable; urgency=medium

  * Add py3.11-use-getfullargspec-not-getargspec.patch (Closes: #1025112).

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Dec 2022 10:09:59 +0100

python-os-win (5.7.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 12:08:03 +0200

python-os-win (5.7.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed fix-import-from-collections.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 09:45:18 +0200

=== debian/control ===
Source: python-os-win
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-ddt,
 python3-eventlet,
 python3-hacking,
 python3-mock,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils (>= 4.7.0),
 python3-oslotest,
 python3-pep8,
 python3-stestr,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-win
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-win.git
Homepage: https://github.com/openstack/os-win

Package: python-os-win-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Windows / Hyper-V library for OpenStack projects - doc
 Os-win is a library that contains Windows / Hyper-V code commonly used in the
 OpenStack projects: nova, cinder, networking-hyperv. The library can be used
 in any other OpenStack projects where it is needed.
 .
 This package contains the documentation.

Package: python3-os-win
Architecture: all
Depends:
 python3-eventlet,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils (>= 4.7.0),
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-win-doc,
Description: Windows / Hyper-V library for OpenStack projects - Python 3.x
 Os-win is a library that contains Windows / Hyper-V code commonly used in the
 OpenStack projects: nova, cinder, networking-hyperv. The library can be used
 in any other OpenStack projects where it is needed.
 .
 This package contains the Python 3.x module.

## python-os-win 5.9.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

# releasenotes
reno>=3.1.0 # Apache-2.0

oslo.config>=6.8.0 # Apache-2.0

=== debian/changelog ===
python-os-win (5.9.0-7) unstable; urgency=medium

  * Removed python3-pep8 from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jan 2025 09:22:32 +0100

python-os-win (5.9.0-6) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090560).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:19:06 +0100

python-os-win (5.9.0-5) unstable; urgency=medium

  * Add missing python3-six (build-)depends (Closes: #1086377).

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Oct 2024 13:35:17 +0100

python-os-win (5.9.0-4) unstable; urgency=medium

  * Removed extraneous dependency on python3-mock (Closes: #1069156).

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 13:43:38 +0200

python-os-win (5.9.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047819).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 15:02:16 +0200

python-os-win (5.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:11:45 +0200

python-os-win (5.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed version of oslo.utils, satisfied in Bookworm.
  * Removed py3.11-use-getfullargspec-not-getargspec.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 09:33:29 +0100

=== debian/control ===
--- 
+++ 
@@ -17,15 +17,14 @@
  python3-ddt,
  python3-eventlet,
  python3-hacking,
- python3-mock,
  python3-openstackdocstheme,
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.utils (>= 4.7.0),
+ python3-oslo.utils,
  python3-oslotest,
- python3-pep8,
+ python3-six,
  python3-stestr,
  python3-testtools,
  subunit,
@@ -55,8 +54,9 @@
  python3-oslo.config,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.utils (>= 4.7.0),
+ python3-oslo.utils,
  python3-pbr,
+ python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,13 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	python3 setup.py clean
-	rm -rf build
+	rm -rf build .stestr doc/source/_static *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/os-win/tags .*/(\d[brc\d\.]+)\.tar\.gz
